# -*- coding: utf-8 -*-

#  mathtoolspy
#  ------------
#  A fast, efficient Python library for mathematically operations, like
#  integration, solver, distributions and other useful functions.
#
#  Author:  pbrisk <pbrisk_at_github@icloud.com>
#  Copyright: 2016, 2017 Deutsche Postbank AG
#  Website: https://github.com/pbrisk/businessdate
#  License: APACHE Version 2 License (see LICENSE file)


# Tolerance to compare float numbers
DOUBLE_TOL = 1E-13

# ----------- Constants with PI --------------
""" PI """
PI = 3.1415926535897932384626433
""" The factor $\sqrt{2}$. """
SQRT_OF_TWO = 1.414213562373095
""" The factor: $\sqrt{Pi}$. """
SQRT_OF_PI = 1.772453850905516
""" The factor: $\sqrt{2*Pi}$. """
SQRT_OF_TWO_PI = 2.506628274631
""" The prefactor of the normal density: $1/\sqrt{2\Pi}$. """
ONE_OVER_SQRT_OF_TWO_PI = 0.398942280401433
""" The factor $1/{2\Pi}$. """
ONE_OVER_TWO_PI = 0.15915494309189533

# ----------- Constants with GOLD(en ratio) ---
""" The golden ratio. """
GOLD = 0.61803399
""" One minus GOLD """
ONE_MINUS_GOLD = 0.38196601
""" One over GOLD """
ONE_OVER_GOLD = 1.618034
